Skip to Content

Read an integration tool descriptor

Returns one tool's full descriptor. A revision that no longer matches the integration's tools returns 409.

GET
/v1/integrations/{integrationId}/tools/{tool}

Returns one tool's full descriptor. A revision that no longer matches the integration's tools returns 409.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

integrationId*string
Match^intg_[0-9a-hjkmnp-tv-z]{16,24}$
tool*string
Match^[a-z][a-z0-9_.]{0,63}$

Query Parameters

offset?|null
revision?string
Match^[a-f0-9]{64}$

Response Body

Success

application/json
  1. response
data*string
Lengthlength <= 32000
offset*integer
Range0 <= value <= 9007199254740991
nextOffset*|null
totalCharacters*integer
Range0 <= value <= 9007199254740991
revision*string
Match^[a-f0-9]{64}$
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrations.readTool({
  "integrationId": "example",
  "tool": "example"
});
Example Response
{
  "data": "string",
  "offset": 0,
  "nextOffset": 0,
  "totalCharacters": 0,
  "revision": "string"
}

Related documentation